Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.workitem.wsht
Class AsyncMinaHTWorkItemHandler

    java.lang.Object
      org.jbpm.process.workitem.wsht.AbstractHTWorkItemHandler
          org.jbpm.process.workitem.wsht.AsyncGenericHTWorkItemHandler
              org.jbpm.process.workitem.wsht.AsyncMinaHTWorkItemHandler

All Implemented Interfaces:
  WorkItemHandler

    public class AsyncMinaHTWorkItemHandler

extends AsyncGenericHTWorkItemHandler

This class provides the default configurations for a Mina WorkItem Handler

Field Summary

Fields inherited from class org.jbpm.process.workitem.wsht.AbstractHTWorkItemHandler
`action, eventHandlers, marshallerContext, session`

Constructor Summary
`AsyncMinaHTWorkItemHandler(KnowledgeRuntime session)`
`AsyncMinaHTWorkItemHandler(KnowledgeRuntime session, OnErrorAction action)`

Method Summary

Methods inherited from class org.jbpm.process.workitem.wsht.AsyncGenericHTWorkItemHandler
`abortWorkItem, connect, dispose, executeWorkItem, getClient, getIpAddress, getPort, isConnected, isLocal, setClient, setIpAddress, setLocal, setPort`

Methods inherited from class org.jbpm.process.workitem.wsht.AbstractHTWorkItemHandler
`createTaskBasedOnWorkItemParams, createTaskContentBasedOnWorkItemParams, getMarshallerContext, setAction, setMarshallerContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AsyncMinaHTWorkItemHandler

    public AsyncMinaHTWorkItemHandler(KnowledgeRuntime session)

### AsyncMinaHTWorkItemHandler

    public AsyncMinaHTWorkItemHandler(KnowledgeRuntime session,
                                      OnErrorAction action)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.